<?xml version="1.0"?>
<!DOCTYPE benchmark PUBLIC "+//IDN sosy-lab.org//DTD BenchExec benchmark 2.3//EN" "https://www.sosy-lab.org/benchexec/benchmark-2.3.dtd">
<benchmark tool="predatorhp" displayName="PredatorHP" timelimit="15 min" hardtimelimit="16 min" memlimit="15 GB" cpuCores="4">

  <require cpuModel="Intel Xeon E3-1230 v5 @ 3.40 GHz" />

  <resultfiles>**/witness.*</resultfiles>

  <option name="--witness" />
  <option name="witness.graphml" />

  <rundefinition name="SV-COMP25_unreach-call">
    <tasks name="ReachSafety-Heap">
      <includesfile>../sv-benchmarks/c/Heap.set</includesfile>
      <includesfile>../sv-benchmarks/c/LinkedLists.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/unreach-call.prp</propertyfile>
    </tasks>
    </rundefinition>

  <rundefinition name="SV-COMP25_valid-memcleanup">
    <tasks name="MemSafety-MemCleanup">
      <includesfile>../sv-benchmarks/c/Heap.set</includesfile>
      <includesfile>../sv-benchmarks/c/Juliet.set</includesfile>
      <includesfile>../sv-benchmarks/c/LinkedLists.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memcleanup.prp</propertyfile>
    </tasks>
    </rundefinition>

  <rundefinition name="SV-COMP25_valid-memsafety">
    <tasks name="MemSafety-Arrays">
      <includesfile>../sv-benchmarks/c/Arrays.set</includesfile>
      <includesfile>../sv-benchmarks/c/Heap-Termination.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/VerifyThis-Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Heap">
      <includesfile>../sv-benchmarks/c/Heap.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-LinkedLists">
      <includesfile>../sv-benchmarks/c/LinkedLists.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Other">
      <includesfile>../sv-benchmarks/c/Loops.set</includesfile>
      <includesfile>../sv-benchmarks/c/ControlFlow.set</includesfile>
      <includesfile>../sv-benchmarks/c/ControlFlow-Termination.set</includesfile>
      <includesfile>../sv-benchmarks/c/Recursive.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>
    <tasks name="MemSafety-Juliet">
      <includesfile>../sv-benchmarks/c/Juliet.set</includesfile>
      <propertyfile>../sv-benchmarks/c/properties/valid-memsafety.prp</propertyfile>
    </tasks>

    </rundefinition>

  </benchmark>